%bcond_with tests

Summary:        A simple, yet elegant, HTTP library
Name:           python-requests
Version:        2.28.2
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://pypi.io/project/requests
Source0:        https://github.com/requests/requests/archive/v%{version}/requests-v%{version}.tar.gz

Patch0001:      https://github.com/psf/requests/commit/74ea7cf7a6.patch#/CVE-2023-32681.patch
Patch0002:      https://github.com/psf/requests/commit/a58d7f2ffb.patch#/CVE-2024-35195.patch

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(pytest-httpbin)
BuildRequires:  python3dist(pytest-mock) python3dist(trustme)
%endif
BuildArch:      noarch

%description
Requests allows you to send HTTP/1.1 requests extremely easily. There’s no need 
to manually add query strings to your URLs, or to form-encode your `PUT` & `POST` 
data — but nowadays, just use the `json` method!

%package -n python%{python3_pkgversion}-requests
Summary:		A simple, yet elegant, HTTP library

%description -n python%{python3_pkgversion}-requests
Requests allows you to send HTTP/1.1 requests extremely easily. There’s no need 
to manually add query strings to your URLs, or to form-encode your `PUT` & `POST` 
data — but nowadays, just use the `json` method!

%pyproject_extras_subpkg -n python%{python3_pkgversion}-requests security socks

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -r
%else
%pyproject_buildrequires
%endif

%prep
%autosetup -n requests-%{version} -p1

sed -i '/#!\/usr\/.*python/d' requests/certs.py
sed -i 's/ --doctest-modules//' pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests

%if %{with tests}
%check
%pytest -v
%endif

%files -n python%{python3_pkgversion}-requests -f %{pyproject_files}
%license LICENSE
%doc README.md HISTORY.md

%changelog
* Fri May 24 2024 Ze Zhang <bbrucezhang@tencent.com> - 2.28.2-2
- [Type] bugfix
- [DESC] Fixed CVE-2024-35195

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 2.28.2-1
- Update to 2.28.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.28.1-1
- Initial build
